using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Bouncer
{
    public partial class HighScore : Form
    {
        /// <summary>
        /// Родительское окно, из которого вызывается данное окно.
        /// Используется при закрытии данного окна.
        /// </summary>
        private Form parentForm;

        /// <summary>
        /// Имя игрока, введенное в текстовом поле.
        /// </summary>
        public string PlayerName
        {
            get
            {
                return nameTextBox.Text;
            }
        }

        public HighScore(Form inParentForm)
        {
            // Сохраняем родительское окно при закрытии окна лучших результатов.
            parentForm = inParentForm;

            InitializeComponent();

        }

        private void HighScore_Load(object sender, EventArgs e)
        {
            parentForm.Hide();
        }

        private void HighScore_Closing(object sender, CancelEventArgs e)
        {
            parentForm.Show();
        }

        private void doneMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}